project('colegio',
	['c', 'vala'],
	version: '1.0.0',
	license: 'BSD-3',
	default_options: [
		'c_std=c11',
		'b_ofast=if-release',
		'b_march_native=if-release',
		'b_ndebug=if-release'
	]
)
add_project_arguments('-DGETTEXT_PACKAGE="' + meson.project_name() + '"', language: 'c')

debugging = get_option('debugging')
if debugging
	add_project_arguments('-DDEBUG', language : 'c')
	add_project_arguments('-D', 'DEBUG', language : 'vala')
endif

add_project_arguments(['--vapidir',
	join_paths(meson.current_source_dir(), 'vapi')],
	language: 'vala')

subdir('data')
subdir('src')
subdir('doc')
